Subject: Re: [PATCH v1 net-next 0/7] net: dsa: microchip: Modify KSZ9477 DSA driver in preparation to add other KSZ switch drivers

From: Andrew Lunn <[email-masked]>
Date: Fri, 17 Nov 2017 20:51:03 +0100

> I really need to monitor the DSA discussion to better contribute to its success.
> I just found out the DSA API set_addr was removed last month due to not
> everybody is using it.  It cited the Marvell switch was the only switch using that
> API and found a new way to program the MAC address.  But looking at that
> driver I found it simply uses a randomized MAC address.
> 
> For big switch with many ports where the main function is forwarding that MAC
> address may not matter.  For small switch with 2 ports it acts more like an Ethernet
> controller where the switch is mainly used for daisy chaining in a ring network the MAC
> address can be used in feature like source address filtering.

Hi Tristram

The MAC address set by set_addr was only used for pause
frames. Nothing else. So a random address is fine.

The switch itself should not be sending any other frames.

	Andrew